<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Player](./bitburner.player.md)

## Player interface


**Signature:**

```typescript
interface Player extends Person 
```
**Extends:** [Person](./bitburner.person.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[entropy](./bitburner.player.entropy.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[factions](./bitburner.player.factions.md)


</td><td>


</td><td>

[FactionName](./bitburner.factionname.md)<!-- -->\[\]


</td><td>


</td></tr>
<tr><td>

[jobs](./bitburner.player.jobs.md)


</td><td>


</td><td>

Partial&lt;Record&lt;[CompanyName](./bitburner.companyname.md)<!-- -->, [JobName](./bitburner.jobname.md)<!-- -->&gt;&gt;


</td><td>


</td></tr>
<tr><td>

[karma](./bitburner.player.karma.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[location](./bitburner.player.location.md)


</td><td>


</td><td>

[LocationName](./bitburner.locationname.md)


</td><td>


</td></tr>
<tr><td>

[money](./bitburner.player.money.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[numPeopleKilled](./bitburner.player.numpeoplekilled.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[totalPlaytime](./bitburner.player.totalplaytime.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

